#include <iostream>
#include <vector>


/*
  Autre methode pour afficher les nombres premier
  jusqu'a 1000 : le "crible d'Eratosthene"
*/


int main(void)
{
  std::vector<bool> premier(1001); // Un vecteur 
  // A la fin du programme, premier[i] contiendra true si i est premier, false sinon. On n'utilise pas premier[0] et premier[1].

  for (int i=2; i<=1000; i++)
	// On met tout le monde a "true"
	premier[i] = true;

  for (int i=2; i*i<=1000; i++)
	// On parcourt le tableau jusqu'a sqrt(1000)
	if (premier[i])
	  for (int j=i+1; j<=1000; j++)
		if (j%i == 0)
		  premier[j] = false; // On note comme non premiers les multiples de i


  // On affiche ensuite le resultat
  for (int i=2; i<=1000; i++)
	if (premier[i])
	  std::cout << i << "\n";

  return 0;
}
