#include <iostream>
#include <fstream>
#include <cmath>

const double delta = 0.01; // Le pas de temps du schema, declare comme constant


double iteration(double y, double t)
// Cette fonction realise une iteration du schema  
{
  return y + delta * (sin(t) - y*y*y);
}

  
int main(void)
{
  double t = 0, y = 1; // Condition initiale : a t=0, y(0)=1

  
  std::cout << "Résolution numérique de y' + y^3 = sin(t), avec y(0)=1.\n";
  std::cout << "On écrit le résultat dans le fichier \"edo.dat\".\n";
  std::ofstream sortie("edo.dat");
  
  sortie << t << " " << y << "\n";
  while (t<20) // On resout l'equation sur [0,20].
	{
	  y = iteration(y,t);
	  t += delta;
	  sortie << t << " " << y << "\n";
	}

  sortie.close();
  
  return 0;
}
